## GstValidateMediaDescriptorWriter

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstValidateMediaDescriptor
                    ╰──GstValidateMediaDescriptorWriter

### Members

`parent` (GstValidateMediaDescriptor) –
No description available
`priv` (GstValidateMediaDescriptorWriterPrivate*) –
No description available

### Class structure

#### GstValidateMediaDescriptorWriterClass

##### Fields

`parent` (GstValidateMediaDescriptorClass) –
No description available

### GstValidate.MediaDescriptorWriterClass

##### Attributes

`parent` (GstValidate.MediaDescriptorClass) –
No description available

### GstValidate.MediaDescriptorWriterClass

##### Attributes

`parent` (GstValidate.MediaDescriptorClass) –
No description available

## GstValidate.MediaDescriptorWriter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.MediaDescriptor
                    ╰──GstValidate.MediaDescriptorWriter

### Members

`parent` (GstValidate.MediaDescriptor) –
No description available
`priv` (GstValidate.MediaDescriptorWriterPrivate) –
No description available

## GstValidate.MediaDescriptorWriter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.MediaDescriptor
                    ╰──GstValidate.MediaDescriptorWriter

### Members

`parent` (GstValidate.MediaDescriptor) –
No description available
`priv` (GstValidate.MediaDescriptorWriterPrivate) –
No description available

### Constructors

#### gst_validate_media_descriptor_writer_new

    GstValidateMediaDescriptorWriter *
    gst_validate_media_descriptor_writer_new (GstValidateRunner * runner,
                                              const gchar * location,
                                              GstClockTime duration,
                                              gboolean seekable)

Parameters:

`runner` –
No description available
`location` –
No description available
`duration` –
No description available
`seekable` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.new

    function GstValidate.MediaDescriptorWriter.prototype.new(runner: GstValidate.Runner, location: String, duration: Number, seekable: Number): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_new'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
`location` (String) –
No description available
`duration` (Number) –
No description available
`seekable` (Number) –
No description available
Returns (GstValidate.MediaDescriptorWriter) –
No description available

#### GstValidate.MediaDescriptorWriter.new

    def GstValidate.MediaDescriptorWriter.new (runner, location, duration, seekable):
        #python wrapper for 'gst_validate_media_descriptor_writer_new'

Parameters:

`runner` (GstValidate.Runner) –
No description available
`location` (str) –
No description available
`duration` (int) –
No description available
`seekable` (bool) –
No description available
Returns (GstValidate.MediaDescriptorWriter) –
No description available

#### gst_validate_media_descriptor_writer_new_discover

    GstValidateMediaDescriptorWriter *
    gst_validate_media_descriptor_writer_new_discover (GstValidateRunner * runner,
                                                       const gchar * uri,
                                                       GstValidateMediaDescriptorWriterFlags flags,
                                                       GError ** error)

Parameters:

`runner` –
No description available
`uri` –
No description available
`flags` –
No description available
`error` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.new_discover

    function GstValidate.MediaDescriptorWriter.prototype.new_discover(runner: GstValidate.Runner, uri: String, flags: GstValidate.MediaDescriptorWriterFlags): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_new_discover'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
`uri` (String) –
No description available
`flags` (GstValidate.MediaDescriptorWriterFlags) –
No description available
Returns (GstValidate.MediaDescriptorWriter) –
No description available

#### GstValidate.MediaDescriptorWriter.new_discover

    @raises(GLib.GError)
    def GstValidate.MediaDescriptorWriter.new_discover (runner, uri, flags):
        #python wrapper for 'gst_validate_media_descriptor_writer_new_discover'

Parameters:

`runner` (GstValidate.Runner) –
No description available
`uri` (str) –
No description available
`flags` (GstValidate.MediaDescriptorWriterFlags) –
No description available
Returns (GstValidate.MediaDescriptorWriter) –
No description available

### Methods

#### gst_validate_media_descriptor_writer_add_frame

    gboolean
    gst_validate_media_descriptor_writer_add_frame (GstValidateMediaDescriptorWriter * writer,
                                                    GstPad * pad,
                                                    GstBuffer * buf)

Parameters:

`writer` –
No description available
`pad` –
No description available
`buf` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.add_frame

    function GstValidate.MediaDescriptorWriter.prototype.add_frame(pad: Gst.Pad, buf: Gst.Buffer): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_add_frame'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`pad` (Gst.Pad) –
No description available
`buf` (Gst.Buffer) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorWriter.add_frame

    def GstValidate.MediaDescriptorWriter.add_frame (self, pad, buf):
        #python wrapper for 'gst_validate_media_descriptor_writer_add_frame'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`pad` (Gst.Pad) –
No description available
`buf` (Gst.Buffer) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_writer_add_pad

    gboolean
    gst_validate_media_descriptor_writer_add_pad (GstValidateMediaDescriptorWriter * writer,
                                                  GstPad * pad)

Parameters:

`writer` –
No description available
`pad` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.add_pad

    function GstValidate.MediaDescriptorWriter.prototype.add_pad(pad: Gst.Pad): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_add_pad'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`pad` (Gst.Pad) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorWriter.add_pad

    def GstValidate.MediaDescriptorWriter.add_pad (self, pad):
        #python wrapper for 'gst_validate_media_descriptor_writer_add_pad'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`pad` (Gst.Pad) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_writer_add_taglist

    gboolean
    gst_validate_media_descriptor_writer_add_taglist (GstValidateMediaDescriptorWriter * writer,
                                                      const GstTagList * taglist)

Parameters:

`writer` –
No description available
`taglist` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.add_taglist

    function GstValidate.MediaDescriptorWriter.prototype.add_taglist(taglist: Gst.TagList): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_add_taglist'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`taglist` (Gst.TagList) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorWriter.add_taglist

    def GstValidate.MediaDescriptorWriter.add_taglist (self, taglist):
        #python wrapper for 'gst_validate_media_descriptor_writer_add_taglist'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`taglist` (Gst.TagList) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_writer_add_tags

    gboolean
    gst_validate_media_descriptor_writer_add_tags (GstValidateMediaDescriptorWriter * writer,
                                                   const gchar * stream_id,
                                                   const GstTagList * taglist)

Parameters:

`writer` –
No description available
`stream_id` –
No description available
`taglist` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.add_tags

    function GstValidate.MediaDescriptorWriter.prototype.add_tags(stream_id: String, taglist: Gst.TagList): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_add_tags'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`stream_id` (String) –
No description available
`taglist` (Gst.TagList) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorWriter.add_tags

    def GstValidate.MediaDescriptorWriter.add_tags (self, stream_id, taglist):
        #python wrapper for 'gst_validate_media_descriptor_writer_add_tags'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`stream_id` (str) –
No description available
`taglist` (Gst.TagList) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_writer_detects_frames

    gboolean
    gst_validate_media_descriptor_writer_detects_frames (GstValidateMediaDescriptorWriter * writer)

Parameters:

`writer` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.detects_frames

    function GstValidate.MediaDescriptorWriter.prototype.detects_frames(): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_detects_frames'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorWriter.detects_frames

    def GstValidate.MediaDescriptorWriter.detects_frames (self):
        #python wrapper for 'gst_validate_media_descriptor_writer_detects_frames'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_writer_get_duration

    GstClockTime
    gst_validate_media_descriptor_writer_get_duration (GstValidateMediaDescriptorWriter * writer)

Parameters:

`writer` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.get_duration

    function GstValidate.MediaDescriptorWriter.prototype.get_duration(): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_get_duration'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorWriter.get_duration

    def GstValidate.MediaDescriptorWriter.get_duration (self):
        #python wrapper for 'gst_validate_media_descriptor_writer_get_duration'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (int) –
No description available

#### gst_validate_media_descriptor_writer_get_seekable

    gboolean
    gst_validate_media_descriptor_writer_get_seekable (GstValidateMediaDescriptorWriter * writer)

Parameters:

`writer` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.get_seekable

    function GstValidate.MediaDescriptorWriter.prototype.get_seekable(): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_get_seekable'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorWriter.get_seekable

    def GstValidate.MediaDescriptorWriter.get_seekable (self):
        #python wrapper for 'gst_validate_media_descriptor_writer_get_seekable'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_writer_get_xml_path

    gchar *
    gst_validate_media_descriptor_writer_get_xml_path (GstValidateMediaDescriptorWriter * writer)

Parameters:

`writer` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.get_xml_path

    function GstValidate.MediaDescriptorWriter.prototype.get_xml_path(): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_get_xml_path'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (String) –
No description available

#### GstValidate.MediaDescriptorWriter.get_xml_path

    def GstValidate.MediaDescriptorWriter.get_xml_path (self):
        #python wrapper for 'gst_validate_media_descriptor_writer_get_xml_path'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (str) –
No description available

#### gst_validate_media_descriptor_writer_serialize

    gchar *
    gst_validate_media_descriptor_writer_serialize (GstValidateMediaDescriptorWriter * writer)

Parameters:

`writer` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.serialize

    function GstValidate.MediaDescriptorWriter.prototype.serialize(): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_serialize'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (String) –
No description available

#### GstValidate.MediaDescriptorWriter.serialize

    def GstValidate.MediaDescriptorWriter.serialize (self):
        #python wrapper for 'gst_validate_media_descriptor_writer_serialize'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
Returns (str) –
No description available

#### gst_validate_media_descriptor_writer_write

    gboolean
    gst_validate_media_descriptor_writer_write (GstValidateMediaDescriptorWriter * writer,
                                                const gchar * filename)

Parameters:

`writer` –
No description available
`filename` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorWriter.prototype.write

    function GstValidate.MediaDescriptorWriter.prototype.write(filename: String): {
        // javascript wrapper for 'gst_validate_media_descriptor_writer_write'
    }

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`filename` (String) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorWriter.write

    def GstValidate.MediaDescriptorWriter.write (self, filename):
        #python wrapper for 'gst_validate_media_descriptor_writer_write'

Parameters:

`writer` (GstValidate.MediaDescriptorWriter) –
No description available
`filename` (str) –
No description available
Returns (bool) –
No description available

## Function Macros

### GST_IS_VALIDATE_MEDIA_DESCRIPTOR_WRITER

    #define GST_IS_VALIDATE_MEDIA_DESCRIPTOR_WRITER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR_WRITER))

### GST_IS_VALIDATE_MEDIA_DESCRIPTOR_WRITER_CLASS

    #define GST_IS_VALIDATE_MEDIA_DESCRIPTOR_WRITER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR_WRITER))

## Enumerations

### GstValidateMediaDescriptorWriterFlags

##### Members

`GST_VALIDATE_MEDIA_DESCRIPTOR_WRITER_FLAGS_NONE` (1) –
No description available
`GST_VALIDATE_MEDIA_DESCRIPTOR_WRITER_FLAGS_NO_PARSER` (2) –
No description available
`GST_VALIDATE_MEDIA_DESCRIPTOR_WRITER_FLAGS_FULL` (4) –
No description available
`GST_VALIDATE_MEDIA_DESCRIPTOR_WRITER_FLAGS_HANDLE_GLOGS` (8) –
No description available

### GstValidate.MediaDescriptorWriterFlags

##### Members

`GstValidate.MediaDescriptorWriterFlags.NONE` (1) –
No description available
`GstValidate.MediaDescriptorWriterFlags.NO_PARSER` (2) –
No description available
`GstValidate.MediaDescriptorWriterFlags.FULL` (4) –
No description available
`GstValidate.MediaDescriptorWriterFlags.HANDLE_GLOGS` (8) –
No description available

### GstValidate.MediaDescriptorWriterFlags

##### Members

`GstValidate.MediaDescriptorWriterFlags.NONE` (1) –
No description available
`GstValidate.MediaDescriptorWriterFlags.NO_PARSER` (2) –
No description available
`GstValidate.MediaDescriptorWriterFlags.FULL` (4) –
No description available
`GstValidate.MediaDescriptorWriterFlags.HANDLE_GLOGS` (8) –
No description available

## Constants

### GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR_WRITER

    #define GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR_WRITER            (gst_validate_media_descriptor_writer_get_type ())

The results of the search are